(function (global, factory) {
	typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@angular/core'), require('@angular/common')) :
	typeof define === 'function' && define.amd ? define('custom-angular-dialog', ['exports', '@angular/core', '@angular/common'], factory) :
	(factory((global['custom-angular-dialog'] = {}),global.ng.core,global.ng.common));
}(this, (function (exports,core,common) { 'use strict';

var DialogComponent = /** @class */ (function () {
    function DialogComponent() {
        this.closable = true;
        this.width = 25;
        this.height = 25;
        this.headerColor = "#34a0e7";
        this.visibleChange = new core.EventEmitter();
    }
    DialogComponent.prototype.ngOnInit = function () { };
    DialogComponent.prototype.close = function () {
        this.visible = false;
        this.visibleChange.emit(this.visible);
    };
    return DialogComponent;
}());
DialogComponent.decorators = [
    { type: core.Component, args: [{
                selector: "app-dialog",
                template: "<div *ngIf=\"visible\" class=\"dialog\" [style.height.%]=\"height\" [style.width.%]=\"width\">\n  <div [style.background-color]=\"headerColor\" class=\"dialog-header\">\n    <span class=\"text-header\">\n      <ng-content select=\"dialog-header\"></ng-content>\n    </span>\n    <div *ngIf=\"closable\" (click)=\"close()\" aria-label=\"Close\" class=\"dialog__close-btn\">\n      <span aria-hidden=\"true\">&times;</span>\n    </div>\n  </div>\n  <div class=\"dialog-body\">\n    <ng-content select=\"dialog-body\"></ng-content>\n  </div>\n  <ng-content></ng-content> <!-- universal -->\n</div>\n<div *ngIf=\"visible\" class=\"overlay\" (click)=\"close()\"></div>\n",
                styles: [".overlay{position:fixed;top:0;bottom:0;left:0;right:0;background-color:rgba(0,0,0,.5);z-index:999}.dialog{z-index:1000;position:fixed;right:0;left:0;margin-right:auto;margin-left:auto;background-color:#fff;border-radius:5px;-webkit-box-shadow:0 7px 8px -4px rgba(0,0,0,.2),0 13px 19px 2px rgba(0,0,0,.14),0 5px 24px 4px rgba(0,0,0,.12);box-shadow:0 7px 8px -4px rgba(0,0,0,.2),0 13px 19px 2px rgba(0,0,0,.14),0 5px 24px 4px rgba(0,0,0,.12)}.dialog__close-btn{font-size:35px;cursor:pointer;right:10px;position:absolute}.dialog-header{border-top-left-radius:5px;border-top-right-radius:5px;height:40px}.text-header{position:absolute;padding:10px;font-family:inherit}"]
            },] },
];
DialogComponent.ctorParameters = function () { return []; };
DialogComponent.propDecorators = {
    "closable": [{ type: core.Input },],
    "visible": [{ type: core.Input },],
    "width": [{ type: core.Input },],
    "height": [{ type: core.Input },],
    "headerColor": [{ type: core.Input },],
    "visibleChange": [{ type: core.Output },],
};
var DialogModule = /** @class */ (function () {
    function DialogModule() {
    }
    return DialogModule;
}());
DialogModule.decorators = [
    { type: core.NgModule, args: [{
                imports: [common.CommonModule],
                exports: [DialogComponent],
                declarations: [DialogComponent]
            },] },
];

exports.DialogModule = DialogModule;
exports.ɵa = DialogComponent;

Object.defineProperty(exports, '__esModule', { value: true });

})));
//# sourceMappingURL=custom-angular-dialog.umd.js.map
