import { Component, Input, Output, EventEmitter, NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
class DialogComponent {
    constructor() {
        this.closable = true;
        this.width = 25;
        this.height = 25;
        this.headerColor = "#34a0e7";
        this.visibleChange = new EventEmitter();
    }
    /**
     * @return {?}
     */
    ngOnInit() { }
    /**
     * @return {?}
     */
    close() {
        this.visible = false;
        this.visibleChange.emit(this.visible);
    }
}
DialogComponent.decorators = [
    { type: Component, args: [{
                selector: "app-dialog",
                template: `<div *ngIf="visible" class="dialog" [style.height.%]="height" [style.width.%]="width">
  <div [style.background-color]="headerColor" class="dialog-header">
    <span class="text-header">
      <ng-content select="dialog-header"></ng-content>
    </span>
    <div *ngIf="closable" (click)="close()" aria-label="Close" class="dialog__close-btn">
      <span aria-hidden="true">&times;</span>
    </div>
  </div>
  <div class="dialog-body">
    <ng-content select="dialog-body"></ng-content>
  </div>
  <ng-content></ng-content> <!-- universal -->
</div>
<div *ngIf="visible" class="overlay" (click)="close()"></div>
`,
                styles: [`.overlay{position:fixed;top:0;bottom:0;left:0;right:0;background-color:rgba(0,0,0,.5);z-index:999}.dialog{z-index:1000;position:fixed;right:0;left:0;margin-right:auto;margin-left:auto;background-color:#fff;border-radius:5px;-webkit-box-shadow:0 7px 8px -4px rgba(0,0,0,.2),0 13px 19px 2px rgba(0,0,0,.14),0 5px 24px 4px rgba(0,0,0,.12);box-shadow:0 7px 8px -4px rgba(0,0,0,.2),0 13px 19px 2px rgba(0,0,0,.14),0 5px 24px 4px rgba(0,0,0,.12)}.dialog__close-btn{font-size:35px;cursor:pointer;right:10px;position:absolute}.dialog-header{border-top-left-radius:5px;border-top-right-radius:5px;height:40px}.text-header{position:absolute;padding:10px;font-family:inherit}`]
            },] },
];
/** @nocollapse */
DialogComponent.ctorParameters = () => [];
DialogComponent.propDecorators = {
    "closable": [{ type: Input },],
    "visible": [{ type: Input },],
    "width": [{ type: Input },],
    "height": [{ type: Input },],
    "headerColor": [{ type: Input },],
    "visibleChange": [{ type: Output },],
};

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
class DialogModule {
}
DialogModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                exports: [DialogComponent],
                declarations: [DialogComponent]
            },] },
];

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
/**
 * Generated bundle index. Do not edit.
 */

export { DialogModule, DialogComponent as ɵa };
//# sourceMappingURL=custom-angular-dialog.js.map
